/* $Id: about_dlg.cpp 14 2006-02-05 11:27:30Z mawerick $ */
#include "about_dlg.h"
#include "aocrayon.h"

#include <QLabel>
#include <QLayout>
#include <QPixmap>

AboutDlg::AboutDlg( QWidget *parent )
	:QWidget( parent )
{
	BaseLayout = new QVBoxLayout( this );
	BaseLayout->setSpacing( 3 );
	BaseLayout->setMargin( 5 );

	PixLabel = new QLabel( this );
	PixLabel->setSizePolicy( QSizePolicy::Fixed, QSizePolicy::Fixed );
	PixLabel->setFixedSize( QSize( 334, 145 ) );
	PixLabel->setFrameShape( QLabel::Box );
	PixLabel->setFrameShadow( QLabel::Plain );
	PixLabel->setLineWidth( 1 );
	PixLabel->setPixmap( QPixmap( "AOcrayon.png" ) );
	PixLabel->setScaledContents( FALSE );
	PixLabel->setIndent( 0 );
	BaseLayout->addWidget( PixLabel );

	AboutLabel = new QLabel( this );
	AboutLabel->setText(
		"<font color=blue><center>"
		"<b>" PROGRAM " v" VERSION "</b><br />"
		"Copyright &copy; Mawerick 2005 - 2006<br />"
		"</center></font>"

		PROGRAM " is a third-party tool that was made with the intent to help<br />"
		" players of Anarchy Online change their chat text colors easily,<br />"
		" without mucking about with 'complex' xml file editing.<br /><br />"
		"Get the latest version at <a href='http://www.wrongplace.net/'>http://www.wrongplace.net/</a>.<br /><br />"
		"<b><u>Credits:</u></b><br />"
		"Special thanks to Oofbig for suggesting the name :)<br /><br />"
		"<b>Note:</b> This <u>only</u> changes what <u>you</u> see.<br />"
		" It has nothing to do with what anyone else sees.<br />"
		" If you want to make you chat colorful for others, <br />this is not the tool for you."
		);

//	AboutLabel->setIndent( 5 );
	BaseLayout->addWidget( AboutLabel );

	QSpacerItem* spacer = new QSpacerItem( 1, 1, QSizePolicy::Minimum, QSizePolicy::Expanding );
	BaseLayout->addItem( spacer );
}

AboutDlg::~AboutDlg()
{
}
