/* $Id$ */
#include "license_dlg.h"
#include "aocrayon.h"

#include <QTextEdit>
#include <QLayout>
#include <QFile>
#include <QTextStream>

LicenseDlg::LicenseDlg( QWidget *parent )
	:QWidget( parent )
{
	BaseLayout = new QVBoxLayout( this );
	BaseLayout->setSpacing( 3 );
	BaseLayout->setMargin( 5 );

	LicenseView = new QTextEdit( this );
	LicenseView->setReadOnly( TRUE );
	LicenseView->setLineWrapMode( QTextEdit::NoWrap );
	LicenseView->setTabStopWidth( 30 );
	qDebug( "TabStop at %d", LicenseView->tabStopWidth() );
	BaseLayout->addWidget( LicenseView );

	QFile LicenseFile( "LICENSE.GPL" );
	if( LicenseFile.open( QIODevice::ReadOnly | QIODevice::Text ) )
	{
		QTextStream LicenseText( &LicenseFile );
		LicenseView->setPlainText( LicenseText.readAll() );
	}
}

LicenseDlg::~LicenseDlg()
{
}
