/* $Id: advmode_dlg.h 10 2006-01-11 08:14:44Z mawerick $ */
#ifndef ADVMODE_H
#define ADVMODE_H

#include <QVariant>
#include <QWidget>
#include "aocolor.h"

class QVBoxLayout;
class QTreeWidget;
class QTreeWidgetItem;
class QPushButton;
class QLabel;

class AdvancedModeDlg : public QWidget
{
	Q_OBJECT

public:
	AdvancedModeDlg( QWidget *parent = 0 );
	virtual ~AdvancedModeDlg();

	void updateColors();
	void setBGColor( AOColor BGColor );

protected slots:
	virtual void pickColor( QTreeWidgetItem *item, int column );
	virtual void pickColor();

signals:
	void pickColor( const QString &color );

protected:
	QVBoxLayout* BaseLayout;
	QTreeWidget* ColorsList;
	QPushButton* PickColorBtn;
	QLabel* AdvHelpLabel;

	AOColor BGColor;
};

#endif // ADVMODE_H
